﻿@using System.Globalization
@using System.Threading;
@using FQ.MD.WEB.Models
@using FQ.MD.WEB.Resources
@using FQ.MD.WEB.ViewModels
@using FQ.MD.WEB.Helpers

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="minimum-scale=1, initial-scale=1, width=device-width" />
    <meta name="theme-color" content="#17468f" />
    <meta name="description" content="FQ.MD.WEB Project Base" />

    <title>FQ.MD.WEB</title>

    <link rel="icon" href="/favicon.ico" />

    @Styles.Render("~/CSSBundle")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-brand" style="height:9vh;min-height:60px">
        <div class="container-fluid p-0">
            <div class="navbar-header">
                @if (Request.IsAuthenticated)
                {
                    <button class="navbar-toggler border-0" type="button" id="sidebarCollapse">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                }
                <span class="navbar-brand mb-0 h1 font-weight-bold" style="margin-left:5px">FQ.MD.WEB</span>
            </div>
            <div class="nav navbar-nav navbar-right">
                <div class="nav-item dropdown d-none d-lg-inline">
                    @if (Request.IsAuthenticated)
                    {
                        var user = (GT_MASTER_USERS)ViewBag.User;

                        <a class="nav-link text-white text-right dropdown-toggle" href="#" id="navbarDropdown" data-toggle="dropdown" aria-expanded="true">
                            @user.Name
                            <br/>
                            @user.GT_MASTER_GROUPS.GroupName
                            <i class="fa fa-external-link"></i>
                        </a>
                        
                        <div class="dropdown-menu dropdown-menu-right">
                            <a class="dropdown-item px-3" href="@Url.Action("Index", "Account")"><i class="fas fa-user mr-2"></i>@Res.Account</a>
                            <a class="dropdown-item px-3" href="@Url.Action("Logout", "Account")"><i class="fas fa-sign-out-alt mr-2"></i>@Res.Logout</a>
                        </div>
                    }
                </div>
            </div>
        </div>
    </nav>

    <div id="wrapper">
        @if (Request.IsAuthenticated)
        {
            var user = (GT_MASTER_USERS)ViewBag.User;
            var controller = ViewBag.ContollerName;
            var menus = (List<MenuItem>)new MenuHelpers().GetMenuFromUser(user, controller);

            <div class="sidebar" id="sidebar-wrapper">
                <div class="list-sidebar">
                    <a class="list-sidebar-item active" href="/"><i class="fas fa-home"></i> Dashboard</a>
                    <a class="list-sidebar-item d-lg-none" href="@Url.Action("Index", "Account")"><i class="fas fa-user"></i> @Res.Account</a>
                    @foreach (var parent in menus.Where(q => !q.ParentMenuId.HasValue).OrderBy(q => q.Sequence))
                    {
                        if (string.IsNullOrEmpty(parent.Url))
                        {
                            <a data-toggle="collapse" href="#@parent.Menu" class="list-sidebar-item @(parent.IsActive ? "" : "collapsed")">
                                @Html.Raw(parent.Display) <span class="mr-3"></span>
                            </a>
                            <div id="@parent.Menu" class="panel-collapse collapse @(parent.IsActive ? "show" : "")">
                                <div class="list-sidebar">
                                    @foreach (var menu in menus.Where(q => q.ParentMenuId == parent.MenuId).OrderBy(q => q.Sequence))
                                    {
                                        <a class="list-sidebar-item submenu @(menu.IsActive ? "submenu-active" : "")" href="@menu.Url">
                                            @Html.Raw(menu.Display)
                                        </a>
                                    }
                                </div>
                            </div>
                        }
                        else
                        {
                            <a class="list-sidebar-item @(parent.IsActive ? "submenu-active" : "")" href="@parent.Url">
                                @Html.Raw(parent.Display)
                            </a>
                        }
                    }
                    <a class="list-sidebar-item d-lg-none" href="@Url.Action("Logout", "Account")"><i class="fas fa-sign-out-alt"></i> @Res.Logout</a>
                </div>
            </div>
        }

        <div id="page-content-wrapper">
            <div class="container-fluid">
                <div style="min-height:67vh">
                    @RenderBody()
                </div>
                <hr />
                <p class="m-0 text-center"><a href="/Home/ChangeCurrentCulture/0">English</a> | <a href="/Home/ChangeCurrentCulture/1">Bahasa</a></p>
                <p class="m-0 text-center">&copy; @DateTime.Now.Year - FQ.MD.WEB</p>
            </div>
        </div>
    </div>

    <div id="modalProcess" class="modal">
        <div class="modal-dialog modal-dialog-centered align-items-center" role="document">
            <div class="modal-content align-items-center loader-body">
                <div class="loader"></div>
            </div>
        </div>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
    <script type="text/javascript">
        $(document).ready(function () {
            $('#sidebarCollapse').on('click', function () {
                $('#wrapper').toggleClass('toggled');
            });
        });
    </script>
</body>
</html>